EVM and SVM onchain data endpoints, plus API documentation and monitoring.
    Read-only preview
    You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
    EVM DEXs

    Supported DEXs

    FREE
    Returns the catalog of supported EVM DEX protocols.
    GET
    https://api.pinax.network/v1/evm/dexes

    Supported networks (9)

    Arbitrum OneArbitrum OneAvalancheAvalancheBaseBaseBNBBNBHyperEVMHyperEVMEthereumEthereumOptimismOptimismPolygonPolygonUnichainUnichain

    Required parameters

    NameTypeDescription
    networkrequired
    query
    Enum · 9The Graph Network ID for EVM networks https://thegraph.com/networks
    arbitrum-oneavalanchebasebschyperevmmainnetoptimismpolygonunichain
    e.g. mainnet

    Optional parameters

    NameTypeDescription
    limit
    query
    integerNumber of items* returned in a single request.
    *Plan restricted.
    page
    query
    integerPage number to fetch.
    Empty data array signifies end of results.

    Response

    200 OK
    {
      "data": [
        {
          "factory": "0x5c69bee701ef814a2b6a3edd4b1652cb9cc5aa6f",
          "protocol": "uniswap_v2",
          "uaw": 10432787,
          "transactions": 16029788,
          "last_activity": "2025-11-06 16:00:00",
          "network": "mainnet"
        }
      ]
    }